$!  Make.com
$!
$!  Updated by Rick Dyson (rick-dyson@uiowa.edu) 17-SEP-1997
$!
$!  This driver procedure will call MMS to build the source code.
$!  However, the Descrip.mms file will need some editing first is you are
$!  not using VAX C on a VAX.  If you have DEC C or both installed, you
$!  need to force it to use VAX C to compile correctly the way it is
$!  setup.
$
$ on control_y then goto final_exit
$ on error     then continue
$
$!***************************
$! Initialize
$!***************************
$ tcpip = p1
$!
$ options    := ""
$ image	     := "EXTRACT"
$ say        := write SYS$OUTPUT
$ install     = ""
$ facility    = "%''image'MAKE"
$!
$ is_alpha = (f$getsyi("arch_type") .gt. 1)
$ if (is_alpha)
$   then
$       arch = "ALPHA"
$       create share.opt
!this space intentionally left blank
$       cc_options = "/standard=vaxc/prefix=all"
$   else
$       arch = "VAX"
$       define/nolog Lnk$Library Sys$Library:VAXCRTL.olb
$       create share.opt
Sys$Share:VAXCRTL.exe /Share
$       cc_options = ""
$   endif
$
$!***************************
$! Main Program
$!***************************
$
$ gosub check_parameters
$ gosub prepare_'tcpip'
$ gosub compile_mms
$
$ say facility,"-I-SUCCESS, ''image' successfully made"
$ goto  final_exit
$
$!***************************
$! Check Parameters
$!***************************
$
$Check_Parameters:
$
$   if (tcpip .eqs. "")
$   then
$       if (f$trnlnm("UCX$DEVICE") .nes. "") then tcpip = "UCX"
$       if (f$trnlnm("TWG$TCP")    .nes. "") then tcpip = "WINS"
$       if (f$trnlnm("MULTINET")   .nes. "") then tcpip = "MULTINET"
$   endif
$
$   if ((tcpip .eqs. "WINS") .or. -
        (tcpip .eqs. "UCX")  .or. -
        (tcpip .eqs. "MULTINET"))
$       then
$           say facility,"-I-TCPTYPE, making ''image' for ",tcpip, " TCP/IP"
$       else
$           say facility,"-F-INVTCP, '",tcpip,"' TCP/IP is not supported"
$           exit
$   endif
$
$   return
$
$!***************************
$! Compile MMS
$!***************************
$
$Compile_MMS:
$
$!$   mms/description='image'.mms
$   mms 
$   return
$
$!***************************
$! Prepare UCX
$!***************************
$
$Prepare_UCX:
$
$   define/nolog vaxc$include sys$common:[syslib]
$   define/nolog sys          sys$common:[syslib]
$   define/nolog netinet      sys$common:[syslib]
$   define/nolog arpa         sys$common:[syslib]
$   define/nolog vms          sys$common:[syslib]
$   return
$
$!***************************
$! Prepare WINS
$!***************************
$
$Prepare_WINS:
$
$   define/nolog vaxc$include sys$common:[syslib], twg$tcp:[netdist.include]
$   define/nolog sys          twg$tcp:[netdist.include.sys]
$   define/nolog netinet      twg$tcp:[netdist.include.netinet]
$   define/nolog arpa         twg$tcp:[netdist.include.arpa]
$   define/nolog vms          twg$tcp:[netdist.include.vms]
$   return
$
$!***************************
$! Prepare MULTINET
$!***************************
$
$Prepare_MultiNet:
$
$   define/nolog vaxc$include sys$common:[syslib], multinet_root:[multinet.include]
$   define/nolog sys     multinet_root:[multinet.include.sys]
$   define/nolog arpa    multinet_root:[multinet.include.arpa]
$   define/nolog netinet multinet_root:[multinet.include.netinet]
$   define/nolog vms     multinet_root:[multinet.include.vms]
$   return
$
$!***************************
$! Final Exit
$!***************************
$
$Final_Exit:
$
$   Exit
